본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Bizboard landing settings

사이드 메뉴

Kakao Map

Search

Kakao Moment

Bizboard landing settings

This document describes how to use the Bizboard landing settings API.

View list of Business Forms for landing settings

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/creatives/landing/talkBizFormsBusiness token

Retrieves a list of Business Forms that can be used to set as a Business Form's landing type when you create or edit a creative.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of detailed information about each Business Form, including its ID and title in JSON format. You can use a specific Business Form's information passed in the response for the Business Form landing type when creating or editing a creative. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-BusinessForm[]Business Form information.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/creatives/landing/talkBizForms" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 2617,
"adAccountId": 1334,
"bizFormId": 5678,
"title": "Business Form",
"flowType": "SURVEY",
"linkedDate": "2020-01-01 01:00:00",
"beginDateTime": "2020-01-01 00:00",
"endDateTime": "2020-01-01 00:00"
}
]

View list of Ad Views for landing settings

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/creatives/landing/adViewsBusiness token

Retrieves a list of Ad Views that can be used to set as an Ad View's landing type when you create or edit a creative.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of Ad Views in JSON format. You can use a specific Ad View's information passed in the response for the Ad View landing type when creating or editing a creative. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-AdView[]Ad View information.
AdView
NameTypeDescription
idLongAd View's ID.
Set landingInfo.adViewItem.id to this value when creating or editing a creative.
nameStringAd View's name.
typeStringAd View's type.
Either of FULL (Full view) or COMPACT (Compact view).
templateTypeStringTemplate type.
One of the followings:
  • IMAGE
  • VIDEO
  • CAROUSEL
  • SCROLL

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/creatives/landing/adViews" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 5678,
"name": "first_ad_view",
"type": "COMPACT",
"templateType": "IMAGE"
},
{
"id": 5679,
"name": "second_ad_view",
"type": "FULL",
"templateType": "SCROLL"
}
]

View list of Channel Posts for landing settings

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/creatives/landing/channelPosts/${PROFILE_ID}Business token

Retrieves a list of Channel Posts that can be used to set as a Channel Post's landing type when you create or edit a creative.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of detailed information about each Channel Post in JSON format. You can use a specific Channel Post's information passed in the response for the Channel Post landing type when creating or editing a creative. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
PROFILE_IDIntegerProfile ID.O

Response

Body
NameTypeDescription
itemsChannelPost[]Information of Channel Post.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/creatives/landing/channelPosts/${PROFILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"items": [
{
"id": 1,
"title": "Post",
"status": "published",
"permalink": "http://kakao.com/_xxxx/1",
"createdDate": "2020-01-01 00:00:00",
"publishedDate": "2020-01-01 00:00:00"
}
]
}

See more

Was this helpful?